using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ConsoleApplication1
{
    class Program
    {
        
        static void Main(string[] args)
        {
            int a, b;
            string[] red = Console.ReadLine().Split(' ');
            a = int.Parse(red[0]);
            b = int.Parse(red[1]);
            int okvir = a * 2 + (b - 2) * 2;
            int unutra = (a * b) - okvir;
            if(unutra % 2 == 0)
            {
                Console.WriteLine((b * a) - (unutra / 2));
            }
            else Console.WriteLine((b*a) - (unutra / 2 + 1));
        }
    }
}